# Visualization
TKService
WNT

# WNT_SequenceOfImage Class Reference

`#include <WNT_SequenceOfImage.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| WNT_SequenceOfImage ()
Standard_EXPORT void | Clear ()
| ~WNT_SequenceOfImage ()
Standard_EXPORT const WNT_SequenceOfImage & | Assign (const WNT_SequenceOfImage &Other)
const WNT_SequenceOfImage & | operator= (const WNT_SequenceOfImage &Other)
Standard_EXPORT void | Append (const Handle(WNT_Image)&T)
void | Append (WNT_SequenceOfImage &S)
Standard_EXPORT void | Prepend (const Handle(WNT_Image)&T)
void | Prepend (WNT_SequenceOfImage &S)
void | InsertBefore (const Standard_Integer Index, const Handle(WNT_Image)&T)
void | InsertBefore (const Standard_Integer Index, WNT_SequenceOfImage &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(WNT_Image)&T)
void | InsertAfter (const Standard_Integer Index, WNT_SequenceOfImage &S)
Standard_EXPORT const Handle_WNT_Image & | First () const
Standard_EXPORT const Handle_WNT_Image & | Last () const
void | Split (const Standard_Integer Index, WNT_SequenceOfImage &Sub)
Standard_EXPORT const Handle_WNT_Image & | Value (const Standard_Integer Index) const
const Handle_WNT_Image & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(WNT_Image)&I)
Standard_EXPORT Handle_WNT_Image & | ChangeValue (const Standard_Integer Index)
Handle_WNT_Image & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | WNT_SequenceOfImage (const WNT_SequenceOfImage &Other)

## Constructor & Destructor Documentation

WNT_SequenceOfImage::WNT_SequenceOfImage | ( |  | ) |

WNT_SequenceOfImage::~WNT_SequenceOfImage | ( |  | ) | `[inline]`

Standard_EXPORT WNT_SequenceOfImage::WNT_SequenceOfImage | ( | const WNT_SequenceOfImage & | Other | ) | `[private]`

## Member Function Documentation

void WNT_SequenceOfImage::Append | ( | WNT_SequenceOfImage & | S | ) |

Standard_EXPORT void WNT_SequenceOfImage::Append | ( | const Handle(WNT_Image)& | T | ) |

Standard_EXPORT const WNT_SequenceOfImage& WNT_SequenceOfImage::Assign | ( | const WNT_SequenceOfImage & | Other | ) |

Standard_EXPORT Handle_WNT_Image& WNT_SequenceOfImage::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WNT_SequenceOfImage::Clear | ( |  | ) |

Standard_EXPORT const Handle_WNT_Image& WNT_SequenceOfImage::First | ( |  | ) | const

void WNT_SequenceOfImage::InsertAfter | ( | const Standard_Integer | Index,
|  | WNT_SequenceOfImage & | S
| ) |

Standard_EXPORT void WNT_SequenceOfImage::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(WNT_Image)& | T
| ) |

void WNT_SequenceOfImage::InsertBefore | ( | const Standard_Integer | Index,
|  | WNT_SequenceOfImage & | S
| ) |

void WNT_SequenceOfImage::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(WNT_Image)& | T
| ) |

Standard_EXPORT const Handle_WNT_Image& WNT_SequenceOfImage::Last | ( |  | ) | const

void WNT_SequenceOfImage::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WNT_SequenceOfImage::operator new | ( | size_t | size | ) | `[inline]`

void* WNT_SequenceOfImage::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_WNT_Image& WNT_SequenceOfImage::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_WNT_Image& WNT_SequenceOfImage::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WNT_SequenceOfImage& WNT_SequenceOfImage::operator= | ( | const WNT_SequenceOfImage & | Other | ) | `[inline]`

void WNT_SequenceOfImage::Prepend | ( | WNT_SequenceOfImage & | S | ) |

Standard_EXPORT void WNT_SequenceOfImage::Prepend | ( | const Handle(WNT_Image)& | T | ) |

Standard_EXPORT void WNT_SequenceOfImage::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void WNT_SequenceOfImage::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WNT_SequenceOfImage::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(WNT_Image)& | I
| ) |

void WNT_SequenceOfImage::Split | ( | const Standard_Integer | Index,
|  | WNT_SequenceOfImage & | Sub
| ) |

Standard_EXPORT const Handle_WNT_Image& WNT_SequenceOfImage::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- WNT_SequenceOfImage.hxx